> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yafacture.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lectura de layout excel de transferencias



## OpenAPI

````yaml https://rest.yafacture.com/openapi-billetera.json post /transferencias/lectura-layout
openapi: 3.0.0
info:
  title: Yafacture
  description: Yafacture API
  version: '1.0'
  contact:
    name: Yafacture
    url: https://yafacture.com
    email: hola@yafacture.com
servers:
  - url: https://rest.yafacture.com
security: []
tags: []
paths:
  /transferencias/lectura-layout:
    post:
      tags:
        - Transferencias
      summary: Lectura de layout excel de transferencias
      operationId: TransferenciasController_controllerLectura
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LecturaLayoutDto'
      responses:
        '201':
          description: ''
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Forbidden resource
                  error:
                    type: string
                    example: Forbidden
                  statusCode:
                    type: integer
                    format: int32
                    example: 403
                required:
                  - message
                  - error
                  - statusCode
      security:
        - x-api-key: []
        - bearer: []
components:
  schemas:
    LecturaLayoutDto:
      type: object
      properties:
        base64:
          type: string
          description: Archivo en base64 del layout Excel
          example: UEsDBBQABgAIAAAAIQ...
        operante:
          type: string
          description: Operante para seleccionar servicio de lectura
          example: stp
          enum:
            - stp
      required:
        - base64
        - operante
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        X-API-Key authentication header for the development token generated in
        Yafacture
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````